_type: prompt
input_variables:
  - target_company_name
  - search_results_json # JSON string: [{"name": "...", "url": "...", "snippet": "..."}, ...]
template: |
  Given the target company "{target_company_name}" and the following JSON array of search results, each containing 'name', 'url', and 'snippet':
  ```json
  {search_results_json}
  ```
  Identify the single most relevant company URL. Respond ONLY with this URL. If no highly relevant match unequivocally corresponds, respond with "NONE". Avoid any conversational text or explanation.